SUBROUTINE cscalx( mot, longm, long, ideb, iend, cres, icol , jcol, lerr )

!***********************************************************************
!     - cscalx -
!     retourne une valeur caractere dans cres
!     appelle positm
!***********************************************************************

   USE carl
   USE flag_msg

   IMPLICIT NONE

   !  Arguments
   !  ---------

   INTEGER, INTENT(IN)  :: longm, long, ideb, iend
   CHARACTER(LEN=*), INTENT(IN) :: mot
   CHARACTER(LEN=*), INTENT(INOUT) :: cres
   INTEGER, INTENT(OUT) :: icol, jcol
   LOGICAL, INTENT(OUT) :: lerr

   !  Declarations locales
   !  --------------------

   INTEGER :: i1, kol, kola, kolz, kol1, kol2

   INCLUDE 'fkwdp.'
   INCLUDE 'miseqp.'
   INCLUDE 'cscalxp.'

   !--------------------------------------------------------------------

   lerr = .false.
   icol = 0
   jcol = 0
   i1   = ideb

   do      ! Boucle sur le mot cle
           ! ---------------------

      call positm( mot, longm, long, i1, iend, kol, kol1, kol2, lerr )
      if ( lerr ) return
      if ( kol <= 0 ) return      ! Retour normal

      icol = kol
      jcol = kol2
      kolz = min( icol+64, ncar )
      if ( car(kol1:kol1) /= '=' ) then
         kola = max( kol1-25, icol )
         kolz = min( kol1+25, ncar )
         write(l6,*) mrker1
         write(l6,11) typer, car(kola:kolz), flag(:kol1-kola)
         write(l6,*)  miseq
         write(l6,*)  car(icol:kol1-1)
         write(l6,*)  fkwd, mot(:longm)
         write(l6,*) mrker2
         lerr = .true.
         return
      end if

      ! Affectation de la valeur du mot cle
      cres = car(kol1+1:jcol-1)

      ! Effacement de la zone analysee
      if ( car(icol:icol) == sep2 ) then
         car(icol+1:jcol-1) = ' '
      else
         car(icol:jcol-1) = ' '
      end if

      ! D'autres occurrences du mot cle ? i1=col de debut d'exploration
      i1 = jcol
   end do

900 continue      ! Retour en erreur
   lerr=.true.

   INCLUDE 'anaf11.'

END SUBROUTINE cscalx
