INTEGER FUNCTION iscalx( mot, longm, long, ideb, iend, idef, icol, jcol, lerr )

!***********************************************************************
!     - iscalx -
!     retourne une valeur entiere
!     idef = valeur par defaut (entree)
!     appelle inum, positm
!***********************************************************************

   USE carl
   USE flag_msg

   IMPLICIT NONE

   !  Arguments
   !  ---------

   INTEGER, INTENT(IN)  :: longm, long, ideb, iend
   INTEGER, INTENT(IN)  :: idef
   CHARACTER(LEN=*), INTENT(IN) :: mot
   INTEGER, INTENT(OUT) :: icol, jcol
   LOGICAL, INTENT(OUT) :: lerr

   !  Declarations locales
   !  --------------------

   INTEGER :: ii, ind, i1, kol, kola, kolz, kol1, kol2
   LOGICAL :: lgl

   INCLUDE 'fkwdp.'
   INCLUDE 'miseqp.'
   INCLUDE 'msgsepp.'
   INCLUDE 'iscalxp.'

   !--------------------------------------------------------------------

   iscalx = idef
   lerr   = .false.
   icol   = 0
   jcol   = 0
   i1     = ideb

   do      ! Boucle sur le mot cle
           ! ---------------------

      call positm( mot, longm, long, i1, iend, kol, kol1, kol2, lerr )
      if ( lerr ) return
      if ( kol <= 0 ) return      ! Retour normal

      icol = kol
      jcol = kol2
      kolz = min( icol+64, ncar )
      if ( car(kol1:kol1) /= '=' ) then
         kola = max( kol1-25, icol )
         kolz = min( kol1+25, ncar )
         write(l6,*) mrker1
         write(l6,11) typer, car(kola:kolz), flag(:kol1-kola)
         write(l6,*)  miseq
         write(l6,*)  car(icol:kol1-1)
         write(l6,*)  fkwd, mot(:longm)
         write(l6,*) mrker2
         lerr = .true.
         return
      end if

      ! Analyse de la valeur affectee au mot cle
      call inum( kol1+1, jcol, 1, sep2, 1, sep2, 1, .true., ind, lgl, ii, lerr )
      iscalx = ii
      if ( lerr ) return
      if ( ind /= jcol ) then
         kola = max( ind-25, icol )
         kolz = min( ind+25, ncar )
         write(l6,*) mrker1
         write(l6,11) typer, car(kola:kolz), flag(:ind-kola)
         write(l6,*)  msgsp1, mot, msgsp2
         write(l6,*) mrker2
         lerr = .true.
         return
      end if

      ! Effacement de la zone analysee
      if ( car(icol:icol) == sep2 ) then
         car(icol+1:jcol-1) = ' '
      else
         car(icol:jcol-1) = ' '
      end if

      ! D'autres occurrences du mot cle ? i1=col de debut d'exploration
      i1 = jcol
   end do

900 continue      ! Retour en erreur
   lerr = .true.

   INCLUDE 'anaf11.'

END FUNCTION iscalx
