SUBROUTINE local( mot, long, ideb, iend, lcom, noc, ioc, loc )

!***********************************************************************
!     - local -
!     retourne le nombre d'occurrences d'un mot-cle et leurs
!     localisations absolues dans car
!     N.B. local ne recherche que l'abreviation (eventuelle) maximum
!     (i.e. mot(:long)) sans s'occuper des caracteres suivants
!     cf. localx pour une analyse plus contraignante
!
!     entrees : mot a noc;   sorties : ioc, loc.
!     tableau loc(noc)
!     si lcom=.true. les occurrences entre "'" sont prises en compte
!***********************************************************************
!
!     LCOM  - ENTREE. .TRUE. SI LES OCCURRENCES ENTRE "'"     - LOGIQUE
!                     DOIVENT ETRE PRISES EN COMPTE,
!                     .FALSE. AUTREMENT
!     NOC   - ENTREE. NOMBRE MAXIMUM D'OCCURRENCES CHERCHEES  - ENTIER
!     IOC   - SORTIE. NOMBRE D'OCCURRENCES TROUVEES           - ENTIER
!     LOC   - SORTIE. VECTEUR DES IOC POSITIONS DANS CAR DU   - ENTIER
!                     MOT CLE, DE LONGUEUR NOC
!
!-----------------------------------------------------------------------

   USE carl

   IMPLICIT NONE

   !  Arguments
   !  ---------

   INTEGER, INTENT(IN)  :: long, ideb, iend, noc
   LOGICAL, INTENT(IN)  :: lcom
   CHARACTER(LEN=*), INTENT(IN) :: mot
   INTEGER, INTENT(OUT) :: ioc
   INTEGER, DIMENSION(noc), INTENT(OUT) :: loc

   !  Declarations locales
   !  --------------------

   INTEGER :: icol, i1

   !--------------------------------------------------------------------

   ioc = 0
   i1  = ideb

   ! Boucle sur le mot cle
   ! ---------------------
   do
      icol = index( car(i1:iend), mot(:long) ) + i1 - 1
      if ( icol < i1 ) return
      if ( .not. com(icol) .or. lcom ) then
         ioc = ioc + 1
         loc(ioc) = icol
      end if
      i1 = icol + long
      if ( ioc >= noc .or. i1 > iend ) exit
   end do

END SUBROUTINE local
