SUBROUTINE localx( mot, longm, long, ideb, iend, lcom, noc, ioc, loc, lerr )

!***********************************************************************
!     - localx -
!     comme local mais teste que l'abreviation (eventuelle) est
!     correcte (dans le cas ou sa longueur est > long) et que le
!     caractere suivant est bien "=" ou sep2 ou par1.
!***********************************************************************
!
!     LCOM  - ENTREE. .TRUE. SI LES OCCURRENCES ENTRE "'"     - LOGIQUE
!                     DOIVENT ETRE PRISES EN COMPTE,
!                     .FALSE. AUTREMENT
!     NOC   - ENTREE. NOMBRE MAXIMUM D'OCCURRENCES CHERCHEES  - ENTIER
!     IOC   - SORTIE. NOMBRE D'OCCURRENCES TROUVEES           - ENTIER
!     LOC   - SORTIE. VECTEUR DES IOC POSITIONS DANS CAR DU   - ENTIER
!                     MOT CLE, DE LONGUEUR NOC
!     LERR  - SORTIE. .TRUE. SI UNE ERREUR EST DETECTEE       - LOGIQUE
!
!-----------------------------------------------------------------------

   USE carl

   IMPLICIT NONE

   !  Arguments
   !  ---------

   INTEGER, INTENT(IN)  :: longm, long, ideb, iend, noc
   LOGICAL, INTENT(IN)  :: lcom
   CHARACTER(LEN=*), INTENT(IN) :: mot
   INTEGER, INTENT(OUT) :: ioc
   LOGICAL, INTENT(OUT) :: lerr
   INTEGER, DIMENSION(noc), INTENT(OUT) :: loc

   !  Declarations locales
   !  --------------------

   INTEGER :: icol, i1, j1, kolz
   LOGICAL :: scan

   INCLUDE 'notabbp.'
   INCLUDE 'localxp.'

   !--------------------------------------------------------------------

   ioc  = 0
   lerr = .false.
   i1   = ideb
   scan = .true.

   ! Boucle sur le mot cle
   ! ---------------------
   do
      icol = index( car(i1:iend), mot(:long) ) + i1 - 1
      if ( icol < i1 ) return
      i1 = icol + long
      if ( .not. lcom .and. com(icol) ) cycle
      kolz = min( icol+64, ncar )
      ! Etude de l'abreviation eventuelle
      do j1 = long+1, longm
         i1 = icol - 1 + j1
         if ( car(i1:i1) == '=' .or. car(i1:i1) == sep2 .or. car(i1:i1) == par1 ) then
            scan = .false.
            exit
         end if
         if ( car(i1:i1) /= mot(j1:j1) ) then
            write(l6,*) mrker1
            write(l6,11) typer, car(icol:kolz)
            write(l6,*)  car(icol:i1), notabb, mot(:longm)
            write(l6,*) mrker2
            lerr = .true.
            return
         end if
      end do
      if ( scan ) then
         i1=icol+longm
         if ( car(i1:i1) /= '=' .and.car(i1:i1) /= sep2 .and. car(i1:i1) /= par1 ) then
            write(l6,*) mrker1
            write(l6,11) typer, car(icol:kolz)
            write(l6,*)  car(icol:i1), notabb, mot(:longm)
            write(l6,*) mrker2
            lerr = .true.
            return
         end if
      end if

      ioc = ioc + 1
      loc(ioc) = icol
      if ( ioc >= noc .or. i1 > iend ) exit
   end do

   INCLUDE 'anaf11.'

END SUBROUTINE localx
