LOGICAL FUNCTION samstr( x, y )

!***********************************************************************
!     - samstr -
!     compares 2 character strings regardless of case type of letters:
!     returns value true if the two strings are identical or differ
!     only by case type (lower/upper)
!***********************************************************************
!
!     x     - INPUT . 1st character string                    - CHAR
!     y     - INPUT . 2nd character string                    - CHAR
!
!-----------------------------------------------------------------------
!
!     Subroutines called :
!        NONE
!     External functions called :
!        NONE
!     Fortran  functions called :
!        ACHAR  IACHAR  LEN_TRIM  TRIM
!
!-----------------------------------------------------------------------

   IMPLICIT NONE

   !  Arguments
   !  ---------

   CHARACTER(LEN=*), INTENT(IN) :: x, y

   !  Local declarations
   !  ------------------

   INTEGER, PARAMETER :: konv=IACHAR('A')-IACHAR('a')
   INTEGER, PARAMETER :: ia=IACHAR('a'), iz=IACHAR('z')
   INTEGER :: i, kodx, kody

   !--------------------------------------------------------------------

   samstr = .false.
   IF ( LEN(x) /= LEN(y) .OR. LEN_TRIM(x) /= LEN_TRIM(y) ) RETURN
   DO i = 1, LEN_TRIM(x)
      kodx = IACHAR( x(i:i) )
      kody = IACHAR( y(i:i) )
      if ( kodx >= ia .AND. kodx <= iz ) kodx = kodx + konv
      if ( kody >= ia .AND. kody <= iz ) kody = kody + konv
      if ( kodx /= kody ) RETURN
   END DO
   samstr = .true.

END FUNCTION samstr
