REAL(KIND=8) FUNCTION divid0( x, y, z )

!***********************************************************************
!     - divid0 -
!     divides X by Y with protection against zero divide in which case
!     the value Z is returned
!***********************************************************************
!
!     X     - INPUT . Numerator                               - REAL*8
!     Y     - INPUT . Denominator                             - REAL*8
!     Z     - INPUT . The value to be returned when the       - REAL*8
!                     denominator is zero
!
!-----------------------------------------------------------------------
!
!     Subroutines called:
!        NONE
!     External functions called:
!        NONE
!     Fortran  functions called:
!        ABS
!
!-----------------------------------------------------------------------

   IMPLICIT NONE

   !  Arguments
   !  ---------

   REAL(KIND=8), INTENT(IN) :: x, y, z

   !  Local declarations
   !  ------------------

   REAL(KIND=8), PARAMETER :: zero=0.0_8

   !--------------------------------------------------------------------

   if ( abs( y ) > zero ) then
      divid0 = x / y
   else
      divid0 = z
   end if

END FUNCTION divid0
