INTEGER FUNCTION jndex( s , t )

!***********************************************************************
!     - jndex -
!     returns the location in character string s of character substring
!     t, just like the index intrinsic function, but regardless of case
!     type of letters. Returns zero if t is not found.
!***********************************************************************
!
!     S     - INPUT . Character string                        - CHAR
!     T     - INPUT . Character substring to be searched for  - CHAR
!                     in S
!
!-----------------------------------------------------------------------
!
!     Subroutines called:
!        NONE
!     External functions called:
!        SAMSTR
!     Fortran  functions called:
!        LEN_TRIM
!
!-----------------------------------------------------------------------

   IMPLICIT NONE

   !  Arguments
   !  ---------

   CHARACTER(LEN=*), INTENT(IN) :: s, t

   !  Local declarations
   !  ------------------

   LOGICAL, EXTERNAL :: samstr
   INTEGER :: j, lt

   !--------------------------------------------------------------------

   lt = len_trim( t )
   do j = 1, len_trim(s)-lt+1
      if ( samstr( s(j:j+lt-1), t ) ) then
         jndex = j
         return
      end if
   end do
   jndex = 0

END FUNCTION jndex
