      SUBROUTINE MATBC( A , B , C , L , M , N )
!***********************************************************************
!     - MATBC -
!     multiplies general matrix A by the transpose of general matrix B
!     to form resultant general matrix C
!***********************************************************************
!
!     A     - INPUT . General matrix (columnwise)             - REAL*8
!     B     - INPUT . General matrix (columnwise)             - REAL*8
!     C     - OUTPUT. Resultant general matrix (columnwise)   - REAL*8
!     L     - INPUT . Number of rows in A and C               - INTEGER
!     M     - INPUT . Number of columns in A and B            - INTEGER
!     N     - INPUT . Number of columns in C                  - INTEGER
!
!-----------------------------------------------------------------------
!
!     Subroutines called:
!        NONE
!     External functions called:
!        NONE
!     Fortran  functions called:
!        NONE
!
!-----------------------------------------------------------------------
!
!
      INTEGER           L     , M     , N
      DOUBLE PRECISION  A (L*M) , B (N*M) , C (L*N)
!
!        LOCAL DECLARATIONS
!        ------------------
      DOUBLE PRECISION  SUM   , ZERO
!
      PARAMETER (ZERO=0.0D0)
!
!     ------------------------------------------------------------------
!
!
      IJ = 0
!
      DO 30 J = 1, N
         JMN = J - N
!
         DO 20 I = 1, L
            IK  = I - L
            JK  = JMN
            IJ  = IJ + 1
            SUM = ZERO
!
            DO 10 K = 1, M
               IK  = IK + L
               JK  = JK + N
               SUM = SUM  +  A(IK) * B(JK)
   10       CONTINUE
!
            C(IJ) = SUM
   20    CONTINUE
!
   30 CONTINUE
!
      END
