SUBROUTINE repla1( a, b, str, all )

!***********************************************************************
!     - repla1 -
!     replaces character A by character B in character string STR.
!     All or only first occurrence of A are treated, according to ALL
!***********************************************************************
!
!     A     - INPUT . Character to be replaced in STR         - CHAR
!     B     - INPUT . Replacing character                     - CHAR
!     STR   - INPUT . Character string scanned                - CHAR
!             OUTPUT. Changed character string
!     ALL   - INPUT . If .true. all occurrences of A in STR   - LOGICAL
!                     are replaced by B, and only the first
!                     one otherwise
!
!-----------------------------------------------------------------------
!
!     Subroutines called:
!        NONE
!     External functions called:
!        NONE
!     Fortran  functions called:
!        INDEX  LEN
!
!-----------------------------------------------------------------------

   IMPLICIT NONE

   !  Arguments
   !  ---------

   LOGICAL, INTENT(IN) :: all
   CHARACTER(LEN=1), INTENT(IN) :: a, b
   CHARACTER(LEN=*), INTENT(INOUT) :: str

   !  Local declarations
   !  ------------------

   INTEGER :: i, i1, n

   !--------------------------------------------------------------------

   if ( a == " " ) then
      n = len( str )
   else
      n = len_trim( str )
   end if
   i1 = 1
   do
      i = index( str(i1:n), a ) + i1 - 1
      if ( i >= i1 ) then
         str(i:i) = b
         if( .not. all .or. i1 >= n ) exit
         i1 = i + 1
      else
         exit
      end if
   end do

END SUBROUTINE repla1
