SUBROUTINE formaj( oper, nvar, xvar, x, adr, adrv, result, kase, nof, nter )

!***********************************************************************
!     - formaj -
!     recomputes the formula, the tree being already built:
!     array x of the values of atoms is updated, and then operations
!     are performed
!***********************************************************************
!
!     Same arguments as those in FORMEV, but only X and RESULT
!     are changed on return; plus:
!
!     XVAR  - INPUT . Values of variables (dimension NVAR)    - REAL*8
!     KASE  - INPUT . Sequential number of current case       - INTEGER
!     NOF   - INPUT . Sequential number of current formula    - INTEGER
!     NTER  - INPUT . Number of errors detected               - INTEGER
!             OUTPUT. Updated value
!
!-----------------------------------------------------------------------
!
!     Subroutines called:
!        NONE
!     External functions called:
!        OPER
!     Fortran  functions called:
!        NONE
!
!-----------------------------------------------------------------------

   USE opprm

   IMPLICIT NONE

   !  Arguments
   !  ---------

   REAL(KIND=8), EXTERNAL :: oper   ! The function executing operations
   INTEGER, INTENT(IN) :: nvar, kase, nof
   INTEGER, DIMENSION(4,maxop), INTENT(IN) :: adr
   INTEGER, DIMENSION(2,maxva), INTENT(IN) :: adrv
   REAL(KIND=8), DIMENSION(nvar), INTENT(IN) :: xvar
   INTEGER, INTENT(INOUT) :: nter
   REAL(KIND=8), INTENT(OUT) :: result
   REAL(KIND=8), DIMENSION(-1:maxat), INTENT(INOUT) :: x

   !  Local declarations
   !  ------------------

   INTEGER :: i

   !--------------------------------------------------------------------

   ! Update x for variables
   ! ----------------------
   do i = 1, nvarf
      x(adrv(2,i)) = xvar(adrv(1,i))
   end do

   ! Execute operations
   ! ------------------
   do i = noper, 2, -1
      x(adr(2,i)) = oper( adr(1,i), x(adr(3,i)), x(adr(4,i)), xvar, nvar, kase, nof, nter )
   end do

   ! Final result
   ! ------------
   result = oper( adr(1,1), x(adr(3,1)), x(adr(4,1)), xvar, nvar, kase, nof, nter )

END SUBROUTINE formaj
