SUBROUTINE ftrio( n, x, adr )

!***********************************************************************
!     - ftrio -
!     sorts x in ascending order and reorders adr(1/2,.) accordingly
!     (in case of 2 identical values, the 1st one is sorted after
!     the 2nd one in order to preserve the left to right order
!     of treatment of operators with same hierarchy)
!***********************************************************************
!
!     N     - INPUT . Length of X, number of columns in ADR   - INTEGER
!     X     - INPUT . Vector to be sorted                     - INTEGER
!             OUTPUT. Sorted vector
!     ADR   - INPUT .    see comments in FORMEV               - INTEGER
!             OUTPUT. Sorted matrix
!
!-----------------------------------------------------------------------
!
!     Subroutines called:
!        NONE
!     External functions called:
!        NONE
!     Fortran  functions called:
!        NONE
!-----------------------------------------------------------------------

   IMPLICIT NONE

   !  Arguments
   !  ---------

   INTEGER, INTENT(IN) :: n
   INTEGER, DIMENSION(n), INTENT(INOUT) :: x
   INTEGER, DIMENSION(4,n), INTENT(INOUT) :: adr

   !  Local declarations
   !  ------------------

   INTEGER :: j, jml, k, l, xj, yj, zj

   !--------------------------------------------------------------------

   do j = 2, n
      xj = x(j)
      do k= 1, j-1
         if ( xj <= x(k) ) then
            yj = adr(1,j)
            zj = adr(2,j)
            do l = 1, j-k
               jml = j - l
               x(jml+1)     = x(jml)
               adr(1,jml+1) = adr(1,jml)
               adr(2,jml+1) = adr(2,jml)
            end do
            x(k)     = xj
            adr(1,k) = yj
            adr(2,k) = zj
            exit
         end if
      end do
   end do

END SUBROUTINE ftrio
