SUBROUTINE gmpgfm( nvar, l_vals, xmis, xmin, xmax, lval, lnom, valpha, &
                   vals, vnom, noms )
!***********************************************************************
!     - gmpgfm -
!     reads mem1 and mema arrays from the dictionnary of a gmp file
!***********************************************************************
!
!     NVAR  - INPUT . Length of XMIS, XMIN, XMAX, LVAL, LNOM, - INTEGER
!                     VALPHA, VNOM
!     L_VALS- INPUT . Length of VALS and NOMS                 - INTEGER
!     XMIS  - OUTPUT.    see definition of MEM1 arrays        - REAL*8
!     XMIN  - OUTPUT.    see definition of MEM1 arrays        - REAL*8
!     XMAX  - OUTPUT.    see definition of MEM1 arrays        - REAL*8
!     LVAL  - OUTPUT.    see definition of MEM1 arrays        - INTEGER
!     LNOM  - OUTPUT.    see definition of MEM1 arrays        - INTEGER
!     VALPHA- OUTPUT.    see definition of MEM1 arrays        - INTEGER
!     VALS  - OUTPUT.    see definition of MEM1 arrays        - REAL*8
!     VNOM  - OUTPUT.    see definition of MEMA arrays        - CHAR
!     NOMS  - OUTPUT.    see definition of MEMA arrays        - CHAR
!
!-----------------------------------------------------------------------
!
!     Subroutines called:
!        NONE
!     External functions called:
!        NONE
!     Fortran  functions called:
!        MAX
!
!-----------------------------------------------------------------------

   USE gmpint

   IMPLICIT NONE

   !  Arguments
   !  ---------

   INTEGER, INTENT(IN) :: nvar, l_vals
   REAL(KIND=8), DIMENSION(nvar), INTENT(OUT) :: xmis, xmin, xmax
   REAL(KIND=8), DIMENSION(MAX(1,l_vals)), INTENT(OUT) :: vals
   INTEGER, DIMENSION(nvar), INTENT(OUT) :: lval, lnom, valpha
   CHARACTER(LEN=*), DIMENSION(0:nvar), INTENT(OUT) :: vnom
   CHARACTER(LEN=*), DIMENSION(MAX(1,l_vals)), INTENT(OUT) :: noms

   !--------------------------------------------------------------------

   read(inpux) vnom(1:nvar)
   read(inpux) xmis, xmin, xmax
   read(inpux) lval, lnom, valpha

      ! If present, read codes/cutpoints and their names
   if ( l_vals > 0 ) then
      read(inpux) vals
      read(inpux) noms
   end if

END SUBROUTINE gmpgfm
