SUBROUTINE gmpini( vnom, xmis, xmin, xmax, vuse, lval, lnom, vsav, valpha, &
                   nv, nvv )
!***********************************************************************
!     - gmpini -
!     initializes limits and missing value codes, the list of variables
!     used, locations to vals and noms, and variable names (with 3
!     special names: vstat, vrang, vmanq, that may be used in the
!     TRANsformation paragraph, and the "no variable" name at pos. 0)
!***********************************************************************
!
!     VNOM  - OUTPUT.    see definition of MEMA arrays        - CHAR
!     XMIS  - OUTPUT.    see definition of MEM1 arrays        - REAL*8
!     XMIN  - OUTPUT.    see definition of MEM1 arrays        - REAL*8
!     XMAX  - OUTPUT.    see definition of MEM1 arrays        - REAL*8
!     VUSE  - OUTPUT.    see definition of MEM1 arrays        - INTEGER
!     LVAL  - OUTPUT.    see definition of MEM1 arrays        - INTEGER
!     LNOM  - OUTPUT.    see definition of MEM1 arrays        - INTEGER
!     VSAV  - OUTPUT.    see definition of MEM1 arrays        - INTEGER
!     VALPHA- OUTPUT.    see definition of MEM1 arrays        - INTEGER
!     NV    - INPUT . Number of variables (=NVARMX)           - INTEGER
!     NVV   - INPUT . Total number of variables in VNOM       - INTEGER
!
!-----------------------------------------------------------------------
!
!     Subroutines called:
!        NONE
!     External functions called:
!        NONE
!     Fortran  functions called:
!        NONE
!
!-----------------------------------------------------------------------

   USE spcnom
   USE spcval

   IMPLICIT NONE

   !  Arguments
   !  ---------

   INTEGER, INTENT(IN) :: nv, nvv
   REAL(KIND=8), DIMENSION(nv), INTENT(OUT) :: xmis, xmin, xmax
   INTEGER, DIMENSION(nv), INTENT(OUT) :: vuse, lval, lnom, vsav, valpha
   CHARACTER(LEN=*), DIMENSION(0:nvv), INTENT(OUT) :: vnom

   !  Local declarations
   !  ------------------

   INTEGER :: i

   !--------------------------------------------------------------------

   xmis = xout
   xmin = -xout
   xmax = xout
   lval = 0
   lnom = 0
   valpha = 0
   do i = 1, nv
      vnom(i) = ' '
      write(vnom(i),"('X',i3.3)") i
      vuse(i) = i
      vsav(i) = i
   end do
   vnom(0)    = ' '      ! Set the special "no variable" name to blank
   vnom(nv+1) = vstat
   vnom(nv+2) = vrang
   vnom(nv+3) = vmanq
   vnom(nv+4:nvv) = ' '  ! Initialize for possible temporary variable names

END SUBROUTINE gmpini
