SUBROUTINE gmpwrn( txt, lint, mots, n )

!***********************************************************************
!     - gmpwrn -
!     after an error has been detected by ANACOM, writes on imp the
!     n keywords not yet analyzed, if interactive run, and doesn't do
!     anything if batch run
!***********************************************************************
!
!     TXT   - INPUT . Text printed before warning             - CHAR
!     LINT  - INPUT . .true. when interactive run             - LOGICAL
!     MOTS  - INPUT . Array of keywords                       - CHAR
!     N     - INPUT . Length of MOTS                          - INTEGER
!
!     --------------------------------------------------------
!     Module elements modified:
!     gmpint : lines
!
!-----------------------------------------------------------------------
!
!     Subroutines called:
!        CHKPG
!     External functions called:
!        NONE
!     Fortran  functions called:
!        NONE
!
!-----------------------------------------------------------------------

   USE gmpchr
   USE gmpint

   IMPLICIT NONE

   !  Arguments
   !  ---------

   INTEGER, INTENT(IN) :: n
   LOGICAL, INTENT(IN) :: lint
   CHARACTER(LEN=*), INTENT(IN) :: txt
   CHARACTER(LEN=*), DIMENSION(n), INTENT(IN) :: mots

   !  Local declarations
   !  ------------------

   INTEGER :: nl
   LOGICAL :: newp

   !-------------------------------------------------------------------

   if ( .not. lint ) return

   nl = 11 + (n-1)/5
   call chkpg( nl, .false., newp )
   write(imp,111) txt
   write(imp,222) mots
   lines = lines + nl
   write(lgu,*) ermrk1//ermrk1
   write(lgu,111) txt
   write(lgu,222) mots
   write(lgu,*) ermrk2//ermrk2

   INCLUDE 'gmpwrnf.'

END SUBROUTINE gmpwrn
