INTEGER FUNCTION namab( strg, nam, lenf, lena, kol )

!***********************************************************************
!     - namab -
!     returns the location in strg of the last character of a name
!     given in full or abreviated form
!***********************************************************************
!
!     STRG  - INPUT . The character string scanned            - CHAR
!     NAM   - INPUT . The word searched, in full length       - CHAR
!     LENF  - INPUT . Its full length                         - INTEGER
!     LENA  - INPUT . The length of its most abreviated form  - INTEGER
!     KOL   - INPUT . Location of NAM in STRG                 - INTEGER
!
!-----------------------------------------------------------------------
!
!     Subroutines called:
!        NONE
!     External functions called:
!        NONE
!     Fortran  functions called:
!        NONE
!
!-----------------------------------------------------------------------

   IMPLICIT NONE

   !  Arguments
   !  ---------

   INTEGER, INTENT(IN)  :: lenf, lena, kol
   CHARACTER(LEN=*), INTENT(IN) :: strg, nam

   !  Local declarations
   !  ------------------

   INTEGER :: i, j

   !--------------------------------------------------------------------

   j = kol + lena - 1
   do i = lena+1, lenf
      j = kol - 1 + i
      if ( strg(j:j) /= nam(i:i) ) then
         namab = j - 1
         return
      end if
   end do
   namab = j

END FUNCTION namab
