SUBROUTINE transf( nprob, nobj, nsuj, x, statut, xmanq )

!***********************************************************************
!
!     NPROB - Numero du probleme
!     NOBJ  - Maximum du nombre d'objets en entree
!                  et du nombre d'objets apres transformations
!     NSUJ  - Rang du sujet dans le fichier
!     X     - Vecteur des donnees du sujet (dimension NOBJ)
!     STATUT- Statut d'utilisation du sujet (1.0 en entree)
!     XMANQ - Valeur representant les valeurs manquantes ou aberrantes
!
!     NPROB, NOBJ, NSUJ sont des ENTIERS
!     X, STATUT, XMANQ  sont des REAL*8
!
!     ** TRES IMPORTANT **
!     NPROB, NOBJ, NSUJ, XMANQ  ne doivent PAS ETRE MODIFIES
!
!-----------------------------------------------------------------------

   IMPLICIT NONE

   INTEGER, INTENT(IN) :: nprob, nobj, nsuj
   REAL(KIND=8), INTENT(IN) :: xmanq
   REAL(KIND=8), INTENT(INOUT) :: statut
   REAL(KIND=8), DIMENSION(nobj), INTENT(INOUT) :: x


END SUBROUTINE transf
