REAL(KIND=8) FUNCTION pacl2( x, iok )

!***********************************************************************
!     - pacl2 -
!     returns the probability that a random variable distributed
!     according to a lambda-square distribution is lower than or equal
!     to x
!     Parameters are passed through a module
!***********************************************************************
!
!     X     - INPUT . The value of the variable               - REAL*8
!     IOK   - OUTPUT. Return code                             - INTEGER
!                     0 = normal
!                     1 = invalid input argument
!                     2 = maximum number of iterations reached
!                     3 = required accuracy cannot be reached
!                     4 = error in auxiliary function
!
!-----------------------------------------------------------------------
!
!     Subroutines called:
!        NONE
!     External functions called:
!        LAMBDA2CDF
!     Fortran  functions called:
!        NONE
!
!-----------------------------------------------------------------------

   USE pacdtr

   IMPLICIT NONE

   !  Arguments
   !  ---------

   REAL(KIND=8), INTENT(IN) :: x
   INTEGER, INTENT(OUT) :: iok


   !  Local declarations
   !  ------------------

   REAL(KIND=8), EXTERNAL :: lambda2cdf

   !--------------------------------------------------------------------

   pacl2 = lambda2cdf( x, xdtr1, xdtr2, xdtr3, delta, maxit, iok )

END FUNCTION pacl2
